#if !defined(AFX_TABLEIDS_H__B9D57B89_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
#define AFX_TABLEIDS_H__B9D57B89_2218_11D4_9FB5_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TableIDs.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTableIDs recordset

class CTableIDs : public CRecordset
{
public:
	int GetNextID( const char* Tablename );
	CTableIDs(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CTableIDs)

// Field/Param Data
	//{{AFX_FIELD(CTableIDs, CRecordset)
	long	m_LastID;
	CString	m_Tablename;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableIDs)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABLEIDS_H__B9D57B89_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
